# New-RubrikBootStrap

## New-RubrikBootStrap

### SYNOPSIS

Send a Rubrik Bootstrap Request

### SYNTAX

```
New-RubrikBootStrap [[-id] <String>] [[-Server] <String>] [-adminUserInfo] <Object> [-nodeConfigs] <Object>
 [-enableSoftwareEncryptionAtRest] [[-name] <String>] [[-ntpServerConfigs] <Object>]
 [[-dnsNameservers] <String[]>] [[-dnsSearchDomains] <String[]>] [<CommonParameters>]
```

### DESCRIPTION

This will send a bootstrap request

### EXAMPLES

#### EXAMPLE 1

```
https://gist.github.com/nshores/104f069570740ea645d67a8aeab19759
```

New-RubrikBootStrap -Server 169.254.11.25 -name 'rubrik-edge' -dnsNameservers @('192.168.11.1') -dnsSearchDomains @('corp.us','branch.corp.us') -ntpserverconfigs @(@{server = 'pool.ntp.org'}) -adminUserInfo @{emailAddress = '<nick@shoresmedia.com>'; id ='admin'; password = 'P\@SSw0rd!'} -nodeconfigs @{node1 = @{managementIpConfig = @{address = '192.168.11.1'; gateway = '192.168.11.100'; netmask = '255.255.255.0'}}}

#### EXAMPLE 2

```
$BootStrapHash = @{
```

Server = 169.254.11.25 name = 'rubrik-edge' dnsNameservers = @('192.168.11.1') dnsSearchDomains = @('corp.us','branch.corp.us') ntpserverconfigs = @(@{server = 'pool.ntp.org'}) adminUserInfo = @{emailAddress = '<nick@shoresmedia.com>'; id ='admin'; password = 'P\@SSw0rd!'} nodeconfigs = @{node1 = @{managementIpConfig = @{address = '192.168.11.1'; gateway = '192.168.11.100'; netmask = '255.255.255.0'}}} }

New-RubrikBootStrap @BootStrapHash

### PARAMETERS

#### -id

ID of the Rubrik cluster or me for self

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: 1
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

#### -Server

Rubrik server IP or FQDN

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: 2
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

#### -adminUserInfo

Admin User Info Hashtable

```yaml
Type: Object
Parameter Sets: (All)
Aliases:

Required: True
Position: 3
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

#### -nodeConfigs

Node Configuration Hashtable

```yaml
Type: Object
Parameter Sets: (All)
Aliases:

Required: True
Position: 4
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

#### -enableSoftwareEncryptionAtRest

Software Encryption

```yaml
Type: SwitchParameter
Parameter Sets: (All)
Aliases:

Required: False
Position: Named
Default value: False
Accept pipeline input: False
Accept wildcard characters: False
```

#### -name

Cluster/Edge Name

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: 5
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

#### -ntpServerConfigs

NTP Servers

```yaml
Type: Object
Parameter Sets: (All)
Aliases:

Required: False
Position: 6
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

#### -dnsNameservers

DNS Servers

```yaml
Type: String[]
Parameter Sets: (All)
Aliases:

Required: False
Position: 7
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

#### -dnsSearchDomains

DNS Search Domains

```yaml
Type: String[]
Parameter Sets: (All)
Aliases:

Required: False
Position: 8
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

#### CommonParameters

This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about\_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

### INPUTS

### OUTPUTS

### NOTES

## DNS Param must be an array even if only passing a single server

## NTP Must be an array than contains hash table for each server object

## Nodeconfigs Param must be a hash table object.

### RELATED LINKS

<https://rubrik.gitbook.io/rubrik-sdk-for-powershell/command-documentation/reference/new-rubrikbootstrap>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://rubrik.gitbook.io/rubrik-sdk-for-powershell/command-documentation/reference/new-rubrikbootstrap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
